## GtkSeparator

GtkSeparator — Base class for GtkHSeparator and GtkVSeparator

## Synopsis

    #include <gtk/gtk.h>

    struct              GtkSeparator;

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkSeparator
                               +----GtkHSeparator
                               +----GtkVSeparator

## Implemented Interfaces

GtkSeparator implements AtkImplementorIface, GtkBuildable and GtkOrientable.

## Description

The GtkSeparator widget is an abstract class, used only for deriving the subclasses GtkHSeparator and GtkVSeparator.

## Details

### struct GtkSeparator

    struct GtkSeparator;

The GtkSeparator struct contains private data only.